## php-mongo 1.4.5

=== old-tests/Makefile ===
CC = gcc
PHP_PATH = $(HOME)/php/php-5.3.3/install
INCLUDES = -I./ -I../ -I$(PHP_PATH)/include/php -I$(PHP_PATH)/include/php/main -I$(PHP_PATH)/include/php/TSRM -I$(PHP_PATH)/include/php/Zend 
TEST_OBJS = build/unit.o build/mongo.o build/bson.o build/db.o build/collection.o build/cursor.o build/gridfs.o build/mongo_types.o build/util/hash.o build/util/pool.o build/util/connect.o build/util/link.o build/util/rs.o build/lib/test_mongo.o build/lib/test_pool.o
LIB_PATH = -L$(PHP_PATH)/lib 
LIBS = -lphp5
BINARY = unit

all: prereqs $(TEST_OBJS)
	$(CC) $(LIB_PATH) $(LIBS) -o $(BINARY) $(TEST_OBJS) 

prereqs:
	shtool mkdir -p ./build/util ./build/lib


build/unit.o: unit.c unit.h ../php_mongo.h
	$(CC) -c $(INCLUDES) -o $@ unit.c
build/lib/test_mongo.o: lib/test_mongo.c lib/test_mongo.h ../mongo.c ../php_mongo.h
	$(CC) -c $(INCLUDES) -o $@ lib/test_mongo.c
build/lib/test_pool.o: lib/test_pool.c lib/test_pool.h ../util/pool.c ../util/pool.h
	$(CC) -c $(INCLUDES) -o $@ lib/test_pool.c

build/mongo.o: ../mongo.c ../php_mongo.h ../db.h ../cursor.h ../mongo_types.h ../bson.h ../util/hash.h
	$(CC) -c $(INCLUDES) -o $@ ../mongo.c
build/bson.o: ../bson.c ../php_mongo.h ../bson.h ../mongo_types.h
	$(CC) -c $(INCLUDES) -o $@ ../bson.c
build/db.o: ../db.c ../db.h ../php_mongo.h ../collection.h ../cursor.h ../gridfs.h ../mongo_types.h
	$(CC) -c $(INCLUDES) -o $@ ../db.c
build/collection.o: ../collection.c ../php_mongo.h ../collection.h ../cursor.h ../bson.h ../mongo_types.h ../db.h
	$(CC) -c $(INCLUDES) -o $@ ../collection.c
build/cursor.o: ../cursor.c ../cursor.h ../php_mongo.h ../collection.h ../bson.h ../mongo_types.h ../db.h
	$(CC) -c $(INCLUDES) -o $@ ../cursor.c
build/gridfs.o: ../gridfs.c ../gridfs.h ../cursor.h ../php_mongo.h ../collection.h ../mongo_types.h ../db.h
	$(CC) -c $(INCLUDES) -o $@ ../gridfs.c
build/mongo_types.o: ../mongo_types.c ../mongo_types.h ../php_mongo.h ../collection.h ../bson.h ../db.h
	$(CC) -c $(INCLUDES) -o $@ ../mongo_types.c
build/util/hash.o: ../util/hash.c ../util/hash.h
	$(CC) -c $(INCLUDES) -o $@ ../util/hash.c
build/util/pool.o: ../util/pool.c ../util/pool.h
	$(CC) -c $(INCLUDES) -o $@ ../util/pool.c
build/util/link.o: ../util/link.c ../util/link.h
	$(CC) -c $(INCLUDES) -o $@ ../util/link.c
build/util/connect.o: ../util/connect.c ../util/connect.h
	$(CC) -c $(INCLUDES) -o $@ ../util/connect.c
build/util/rs.o: ../util/rs.c ../util/rs.h
	$(CC) -c $(INCLUDES) -o $@ ../util/rs.c



.PHONY: clean

clean:
	-rm -r util
	-rm *.o $(BINARY)

## php-mongo 1.2.12

=== debian/changelog ===
php-mongo (1.2.12-1) unstable; urgency=low

  * Initial release (closes: #660141).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 27 Jul 2012 13:14:04 +0000

=== debian/control ===
Source: php-mongo
Section: php
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), php5-dev (>= 5.2.0)
Homepage: http://www.mongodb.org/display/DOCS/PHP+Language+Center
Standards-Version: 3.9.3

Package: php5-mongo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}
Description: MongoDB database driver
 This package provides an interface for communicating with the MongoDB database
 in PHP.

## php-mongo 1.3.4

=== debian/changelog ===
php-mongo (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 13 Feb 2013 01:13:09 +0100

php-mongo (1.3.3-1) unstable; urgency=low

  * New upstream release.

  [ Bart Martens <bartm@debian.org> ]
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 20 Jan 2013 17:23:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), php5-dev (>= 5.2.0)
 Homepage: http://www.mongodb.org/display/DOCS/PHP+Language+Center
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: php5-mongo
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/php5-mongo

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS          ?= $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS        ?= $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS         ?= $(shell dpkg-buildflags --get LDFLAGS)
CFLAGS          += $(HARDENING_CFLAGS)
CPPFLAGS        += $(HARDENING_CPPLAGS)
LDFLAGS         += $(HARDENING_LDFLAGS)

DEB_HOST_GNU_TYPE    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# Enable IEEE-conformant floating point math on alphas (not the default)
ifeq (alpha-linux-gnu,$(DEB_HOST_GNU_TYPE))
	CFLAGS += -mieee
endif

ifeq ($(DEB_HOST_GNU_TYPE), $(findstring $(DEB_HOST_GNU_TYPE), ia64-linux-gnu powerpc64-linux-gnu))
	CFLAGS += -g
else
	CFLAGS += -gstabs
endif

configure: configure-stamp
configure-stamp:
	phpize5
	./configure --prefix=/usr --with-php-config=/usr/bin/php-config5
	touch $@

build-arch:
build-indep:
build: build-stamp

build-stamp: configure
	$(MAKE) DESTDIR=$(DESTDIR)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf configure-stamp build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	phpize --clean
	dh_clean

install: check
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install INSTALL_ROOT=$(DESTDIR)
	install -D -m 644 debian/mongo.ini \
		debian/php5-mongo/etc/php5/mods-available/mongo.ini

check: build
	$(MAKE) test

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdirs -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	echo "php:Depends=phpapi-`php-config5 --phpapi`" >> debian/php5-mongo.substvars
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install

## php-mongo 1.4.1

=== debian/changelog ===
php-mongo (1.4.1-1ubuntu1) saucy; urgency=low

  * Build with -g on aarch64-linux-gnu, not (pre-DWARF) -gstabs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Oct 2013 10:16:19 +0100

php-mongo (1.4.1-1build1) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 01:33:52 +0100

php-mongo (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Jul 2013 14:40:17 +0200

php-mongo (1.3.7-1) unstable; urgency=low

  * New upstream release.
  * Don't run self-test, it needs configuration and running MongoDB database.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 20 Apr 2013 21:05:15 +0200

php-mongo (1.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 28 Mar 2013 06:27:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: php-mongo
 Section: php
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), php5-dev (>= 5.2.0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), php5-dev (>= 5.2.6)
 Homepage: http://www.mongodb.org/display/DOCS/PHP+Language+Center
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	CFLAGS += -mieee
 endif
 
-ifeq ($(DEB_HOST_GNU_TYPE), $(findstring $(DEB_HOST_GNU_TYPE), ia64-linux-gnu powerpc64-linux-gnu))
+ifeq ($(DEB_HOST_GNU_TYPE), $(findstring $(DEB_HOST_GNU_TYPE), ia64-linux-gnu powerpc64-linux-gnu aarch64-linux-gnu))
 	CFLAGS += -g
 else
 	CFLAGS += -gstabs
@@ -47,6 +47,8 @@
 	rm -rf configure-stamp build-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	phpize --clean
+	find $(CURDIR)/tests \( -name \*.diff -o -name \*.exp -o -name \*.log -o -name \*.out -o -name \*.sh \) -exec rm {} \;
+	rm -f $(CURDIR)/tests/mongo-test-cfg.inc
 	dh_clean
 
 install: check
@@ -58,7 +60,9 @@
 		debian/php5-mongo/etc/php5/mods-available/mongo.ini
 
 check: build
-	$(MAKE) test
+#	cp $(CURDIR)/tests/mongo-test-cfg.inc.template \
+		$(CURDIR)/tests/mongo-test-cfg.inc
+#	$(MAKE) test
 
 binary-indep: install

## php-mongo 1.4.5

=== debian/changelog ===
php-mongo (1.4.5-1~bpo70+1) wheezy-backports; urgency=low

  [ Clément Hermann (nodens) <clement.hermann@free.fr> ]
  * Backport to Wheezy,
  * modify module auto installation to avoid php5-dev >= 5.5.0+dfsg-7
    build-dep

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Dec 2013 19:18:07 +0100

php-mongo (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Handle module auto installation (closes: #729460).
  * Move to debhelper level 9 .
  * Update Standards-Version to 3.9.5 .

  [ Colin Watson <cjwatson@ubuntu.com> ]
  * Build with -g on aarch64-linux-gnu, not (pre-DWARF) -gstabs
    (closes: #726499).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Nov 2013 11:16:26 +0000

php-mongo (1.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 Oct 2013 11:17:46 +0000

=== debian/control ===
Source: php-mongo
Section: php
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), php5-dev (>= 5.2.6)
Homepage: http://www.mongodb.org/display/DOCS/PHP+Language+Center
Standards-Version: 3.9.5

Package: php5-mongo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}
Description: MongoDB database driver
 This package provides an interface for communicating with the MongoDB database
 in PHP.

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,10 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 DESTDIR=$(CURDIR)/debian/php5-mongo
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-CFLAGS          ?= $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS        ?= $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS         ?= $(shell dpkg-buildflags --get LDFLAGS)
-CFLAGS          += $(HARDENING_CFLAGS)
-CPPFLAGS        += $(HARDENING_CPPLAGS)
-LDFLAGS         += $(HARDENING_LDFLAGS)
 
 DEB_HOST_GNU_TYPE    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
@@ -30,7 +22,8 @@
 configure: configure-stamp
 configure-stamp:
 	phpize5
-	./configure --prefix=/usr --with-php-config=/usr/bin/php-config5
+	./configure --prefix=/usr --with-php-config=/usr/bin/php-config5 \
+		$(shell dpkg-buildflags --export=configure)
 	touch $@
 
 build-arch:

## php-mongo 1.5.7

=== debian/changelog ===
php-mongo (1.5.7-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 09 Oct 2014 01:17:32 +0000

php-mongo (1.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Sep 2014 17:35:15 +0000

php-mongo (1.4.5-2) unstable; urgency=low

  * Update package for the php5-dev - dh-php5 split (closes: #743121).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 30 Mar 2014 22:20:32 +0200

=== debian/control ===
Source: php-mongo
Section: php
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), dh-php5, pkg-php-tools (>= 1.6~), php5-dev (>= 5.5.10)
Homepage: http://www.mongodb.org/display/DOCS/PHP+Language+Center
Standards-Version: 3.9.6

Package: php5-mongo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, ${phppear:Debian-Depends},
Recommends: ${phppear:Debian-Recommends}
Breaks: ${phppear:Debian-Breaks}
Description: MongoDB database driver
 This package provides an interface for communicating with the MongoDB database
 in PHP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/php5-mongo

override_dh_auto_install:
	dh_auto_install
	rm $(DESTDIR)/usr/share/doc/php5-mongo/LICENSE.md

%:
	dh $@ --buildsystem=phppear --with phppear --with php5

.PHONY: override_dh_auto_install

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/mongodb/mongo-php-driver/tags .*[^n]/(?:v||release-|mongo-php-driver[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Tue, 15 Jan 2013 20:42:11 +0000

## php-mongo 1.6.10

=== debian/changelog ===
php-mongo (1.6.10-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 22 Jul 2015 19:49:08 +0000

## php-mongo 1.6.16

=== debian/changelog ===
php-mongo (1.6.16-2+0~20191119.9+debian8~1.gbp561bf2) unstable; urgency=medium

  ** SNAPSHOT build @561bf2d78e543bc52f85bda3071e2a90e7513422 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Tue, 19 Nov 2019 05:45:33 +0100

php-mongo (1.6.16-2) unstable; urgency=medium

  * No change rebuild for Debian buster

 -- Ondřej Surý <ondrej@debian.org>  Wed, 28 Aug 2019 09:20:16 +0200

php-mongo (1.6.16-1) unstable; urgency=medium

  * New upstream version 1.6.16
  * Remove patches merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Sep 2017 20:40:36 +0200

php-mongo (1.6.15-2) unstable; urgency=medium

  * Pull patch from Remi to fix broken mongo module (https://jira.mongodb.org/browse/PHP-1529)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Sep 2017 08:49:23 +0200

php-mongo (1.6.15-1) unstable; urgency=medium

  * Update d/watch for PECL based releases
  * New upstream version 1.6.15

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Sep 2017 08:00:53 +0200

php-mongo (1.6.14-2) unstable; urgency=medium

  * Update package to use dh_php >= 0.22~

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Dec 2016 10:49:52 +0100

php-mongo (1.6.14-1) unstable; urgency=medium

  * Update php-mongo for new PECL packaging infrastructure
  * Imported Upstream version 1.6.14
  * Move package.xml to package-5.xml to build only for PHP 5.x

 -- Ondřej Surý <ondrej@debian.org>  Tue, 03 May 2016 09:37:15 +0200

=== debian/control ===
Source: php-mongo
Section: php
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
               dh-php (>= 0.22~),
               php-all-dev
Homepage: http://www.mongodb.org/display/DOCS/PHP+Language+Center
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/php-team/pecl/php-mongo.git
Vcs-Browser: https://salsa.debian.org/php-team/pecl/php-mongo

Package: php-mongo
Architecture: any
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${php:Provides}
Description: MongoDB database driver
 This package provides an interface for communicating with the MongoDB database
 in PHP.

=== debian/watch ===
version=3
http://pecl.php.net/package/mongo \
  /get/mongo-([\d\.p?]*).tgz  debian  uupdate

## php-mongo 1.6.16+reimport

=== debian/changelog ===
php-mongo (1.6.16+reimport-2+0~20250508.33+debian13~1.gbpf31569) unstable; urgency=medium

  ** SNAPSHOT build @f315697598897acd9ca95a25fb4b39734b1b006d **

  * Update Build-Depends to php-all-dev (>= 2:95~)

 -- Ondřej Surý <ondrej@sury.org>  Thu, 08 May 2025 05:40:45 +0200

php-mongo (1.6.16+reimport-2) unstable; urgency=medium

  * Bump default version to PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Jul 2024 17:33:53 +0200

php-mongo (1.6.16+reimport-1) unstable; urgency=medium

  * New upstream version 1.6.16+reimport
  * No changes upload, just reimport the original tarball

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Sep 2023 08:36:19 +0200

php-mongo (1.6.16-11) unstable; urgency=medium

  * Regenerate d/control for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2022 13:49:19 +0100

php-mongo (1.6.16-10) unstable; urgency=medium

  * UNRELEASED

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Jan 2022 13:09:51 +0100

php-mongo (1.6.16-9) unstable; urgency=medium

  * Update the packaging to dh-php >= 4~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:00:59 +0100

php-mongo (1.6.16-8) unstable; urgency=medium

  * Bump B-D to dh-php >= 3.1~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 18:07:23 +0100

php-mongo (1.6.16-7) unstable; urgency=medium

  * Override the PHP_DEFAULT_VERSION

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 17:53:04 +0100

php-mongo (1.6.16-6) unstable; urgency=medium

  * Revert arch:all change, as it breaks shlibs:Depends

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 13:21:37 +0100

php-mongo (1.6.16-5) unstable; urgency=medium

  * The main dummy package is arch:all
  * Bump dh-php Build-Depends to >= 3.0~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 07:51:00 +0100

php-mongo (1.6.16-4) unstable; urgency=medium

  * Update d/watch to use https://pecl.php.net
  * Add standard d/gbp.conf
  * Update standards version to 4.5.1 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 12:10:52 +0100

php-mongo (1.6.16-3) unstable; urgency=medium

  * Finish conversion to debhelper compat level 10
  * Update for dh-php >= 2.0 support

 -- Ondřej Surý <ondrej@debian.org>  Sat, 17 Oct 2020 06:26:49 +0200

=== debian/watch ===
version=3
https://pecl.php.net/package/mongo \
  /get/mongo-([\d\.p?]*).tgz  debian  uupdate
